Cantera 2.6.0

Classes | Namespaces | Macros
vcs_VolPhase.h File Reference

Header for the object representing each phase within vcs. More...

`#include "cantera/equil/vcs_SpeciesProperties.h"`
`#include "cantera/base/Array.h"`
Include dependency graph for vcs_VolPhase.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
class | vcs_VolPhase
| Phase information and Phase calculations for vcs. More...

## Namespaces
namespace | Cantera
| Namespace for the Cantera kernel.

## Macros
#define | VCS_EOS_CONSTANT 0
#define | VCS_EOS_IDEAL_GAS 1
#define | VCS_EOS_STOICH_SUB 5
#define | VCS_EOS_IDEAL_SOLN 22
#define | VCS_EOS_DEBEYE_HUCKEL 23
#define | VCS_EOS_REDLICH_KWONG 24
#define | VCS_EOS_REGULAR_SOLN 25
#define | VCS_EOS_UNK_CANTERA -1

## Detailed Description

Header for the object representing each phase within vcs.

Definition in file vcs_VolPhase.h.

## Macro Definition Documentation

## ◆ VCS_EOS_CONSTANT

#define VCS_EOS_CONSTANT 0

Definition at line 26 of file vcs_VolPhase.h.

## ◆ VCS_EOS_IDEAL_GAS

#define VCS_EOS_IDEAL_GAS 1

Definition at line 27 of file vcs_VolPhase.h.

## ◆ VCS_EOS_STOICH_SUB

#define VCS_EOS_STOICH_SUB 5

Definition at line 28 of file vcs_VolPhase.h.

## ◆ VCS_EOS_IDEAL_SOLN

#define VCS_EOS_IDEAL_SOLN 22

Definition at line 29 of file vcs_VolPhase.h.

## ◆ VCS_EOS_DEBEYE_HUCKEL

#define VCS_EOS_DEBEYE_HUCKEL 23

Definition at line 30 of file vcs_VolPhase.h.

## ◆ VCS_EOS_REDLICH_KWONG

#define VCS_EOS_REDLICH_KWONG 24

Definition at line 31 of file vcs_VolPhase.h.

## ◆ VCS_EOS_REGULAR_SOLN

#define VCS_EOS_REGULAR_SOLN 25

Definition at line 32 of file vcs_VolPhase.h.

## ◆ VCS_EOS_UNK_CANTERA

#define VCS_EOS_UNK_CANTERA -1

Definition at line 33 of file vcs_VolPhase.h.